%define major 2
%define libname %mklibname cap %{major}
%define develname %mklibname cap -d

Summary: 	Library for getting and setting POSIX.1e capabilities
Summary(de):	Unterstützung zum Ermitteln/Setzen von POSIX.1e-Fähigkeiten
Name: 		libcap
Version: 	2.25
Release: 	%mkrel 1
Group: 		System/Libraries
License: 	BSD/GPLv2
URL: 		http://www.kernel.org/pub/linux/libs/security/linux-privs/
Source0:	http://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4/capfaq-0.2.txt
Patch0:		libcap-2.22-linkage_fix.diff
BuildRequires:	attr-devel
BuildRequires:	pam-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.
#german
%description -l de
%{name} ist eine Bibliothek zum erhalten und einstellen von POSIX.1e 
(vormals POSIX 6) skizziert 15 Möglichkeiten.

%package	utils
Summary:	Administration tools for POSIX.1e capabilities
Summary(de):	Administrationstool für POSIX.1e-Fähigkeiten
Group:		System/Libraries

%description	utils
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

This package contains utilities to control these capabilities.
#german
%description	utils -l de
%{name} ist eine Bibliothek zum erhalten und einstellen von POSIX.1e 
(vormals POSIX 6) skizziert 15 Möglichkeiten.

Dieses Paket beinhaltet die Werkzeuge zum kontrollieren der Fähigkeiten.

%package -n	pam_cap
Summary:	PAM module for getting and setting POSIX.1e capabilities
Summary(de):	PAM Modul zum nutzen und setzen der POXIS.1e Fähigkeiten
Group:		System/Libraries

%description -n	pam_cap
The purpose of this module is to enforce inheritable capability sets for a
specified user.
#german
%description -n	pam_cap -l de
Der Zweck dieses Moduls ist es, vererbbaren Fähigkeiten für ein 
angegebenen Benutzer bereit zu stellen.

%package -n	%{libname}
Summary:	Library for getting and setting POSIX.1e capabilities
Summary(de):	Bibliothek zum nutzen und setzen von POXIS.1e Fähigkeiten
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.
#german
%description -n	%{libname} -l de
%{name} ist eine Bibliothek zum erhalten und einstellen von POSIX.1e 
(vormals POSIX 6) skizziert 15 Möglichkeiten.

%package -n	%{develname}
Summary:	Development files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:       cap-devel = %{version}-%{release}
Conflicts:	%{mklibname cap 1 -d}

%description -n	%{develname}
Development files (Headers, libraries for static linking, etc) for %{name}.

%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

Install %{name}-devel if you want to develop or compile applications supporting
Linux kernel capabilities.
#german
%description -n	%{develname} -l de
%{name} ist eine Bibliothek zum erhalten und einstellen von POSIX.1e 
(vormals POSIX 6) skizziert 15 Möglichkeiten.

Installiere das %{name}-devel wenn du Anwendungen entwickeln oder 
compilieren möchtest die die Möglichkeiten des Linux Kernel unterstützen.

%prep

%setup -q
%patch0 -p0

install -m644 %{SOURCE1} .

perl -pi -e 's,^man_prefix=.*,man_prefix=\$\(prefix)/share,g' Make.Rules

%build
%serverbuild

perl -pi -e "s|^CFLAGS\ :=.*|CFLAGS\ :=%{optflags} -fPIC -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64|g" Make.Rules
perl -pi -e "s|^LDFLAGS\ :=.*|LDFLAGS\ :=%{ldflags}|g" Make.Rules

%make prefix=%{_prefix}

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/security

make install RAISE_SETFCAP=no \
             DESTDIR=%{buildroot} \
             LIBDIR=%{_libdir} \
             SBINDIR=%{_sbindir} \
             INCDIR=%{_includedir} \
             MANDIR=%{_mandir}/ \
             PKGCONFIGDIR=%{_libdir}/pkgconfig/

# conflics with man-pages
rm -f %{buildroot}%{_mandir}/man2/*

install -m0640 pam_cap/capability.conf %{buildroot}%{_sysconfdir}/security/

%files utils
%defattr(-,root,root)
%doc CHANGELOG License README contrib
%{_sbindir}/capsh
%{_sbindir}/getcap
%{_sbindir}/getpcaps
%{_sbindir}/setcap
%{_mandir}/man8/getcap.8*
%{_mandir}/man8/setcap.8*

%files -n pam_cap
%defattr(-,root,root)
%doc pam_cap/License
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/security/capability.conf
%{_libdir}/security/pam_cap.so

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc capfaq-0.2.txt
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*
%{_mandir}/man1/capsh.1.*


%changelog
* Tue Apr 03 2018 adrianomorselli <adrianomorselli> 2.25-1uplos2018
- update
